<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FaultDistMappingFileMapper">

    <select id="getMappingFileByPlanId" resultType="com.hdkj.lt.core.bizms.modle.dto.FhzgFaultDistMappingFileDTO">
        SELECT
        mf.id id,
        mf.fault_id faultId,
        mf.file_id fileId,
        mf.file_type fileType,
        mf.line_id lineId
        FROM
        fhzg_fault_dist_mapping_file mf
        WHERE
        mf.fault_id in
        <foreach collection="idList" open="(" item="id" separator="," close=")">
            #{id}
        </foreach>
    </select>

</mapper>
